PDA

View Full Version : Mac - Maya - Shave & a Haircut - vRay -> no Hair...


Pixelprinz
06-16-2011, 03:04 AM
Hi, I just started with vRay some weeks ago and now I installed Shave and a Haircut and the S&H vRay plugin now.
In Maya Software Render S&H works fine, but in vRay I just don't get no hair, and I can't find any information about that...

The Script editor says:
// Error: shaveVrayNode: 'stackId' parameter is NULL. //

// Error: shaveVrayNode: 'instanced' parameter is NULL. //

// Error: shaveVrayNode: 'tipfade' parameter is NULL. //

// Error: shaveVrayNode: 'squirrel' parameter is NULL. //

// Error: shaveVrayNode: 'draFile' parameter is NULL. //

// Error: shaveVrayNode: 'libPath' parameter is NULL. //


Can someone help me please? Thanks!

Pixelprinz
06-20-2011, 10:53 AM
It was the version... I got snow leopard and the vRay Plugin is just for leopard.
Joe says a update will be out very soon.

cgbeige
06-20-2011, 08:16 PM
it doesn't make a difference. I was on SL and it's running fine. I'm in Lion now and I haven't checked Shave but V-Ray works fine and I would assume Shave.so for V-Ray is fine too.

Pixelprinz
06-20-2011, 08:52 PM
Thanks for your reply Dave,

I'm on Snowleopard (10.6.7), Maya 2011 Hotfix 3 x64, vray 2 for Maya (2.00.04).

I deinstalled S&H again and downoloaded the actual files from Joealter:
Shave for Maya 2011 (universal 32/64) version 5.5v21
Shave for Vray: (last update 5.5v17)for the Osx64 (leopard)

...and I get this error.

Joe told me 3 days ago that snowleopard is not supported yet and a updated version will be out soon...

The S&H vRay Plugin I placed in Applications -> Autodesk -> Maya 2011 -> Maya (App) -> Contents -> vray -> vrayplugins -> libvray_Shave.so

Are you on Maya 2011 as well? So we got the exactly same setup...?! Do I miss something?

Thanks!

johnjoe
09-28-2011, 09:41 PM
I too am having this error..!

Was there a solution?

Many thanks,

Joe

bigbossfr
09-28-2011, 11:11 PM
Shave for Maya 2011 (universal 32/64) version 5.5v21
Shave for Vray: (last update 5.5v17)for the Osx64 (leopard)


You must to have the same version of Shave and Shave for Vray.
For example :

Shave for Maya 2011 version 5.5v21
Shave for Vray: 5.5v21

Pixelprinz
09-29-2011, 11:14 AM
The last time I rendered the hair with Maya Software and in other projects I worked with vrayFur. Today I installed the newest Version of Shave, 6.0 and have the same error again...

Shave for Maya 2011: (universal 32/64) version 6.0v3
Shave for Vray: Osx SnowLeopard64 (last update 6.0v3)

johnjoe
10-01-2011, 08:23 AM
Seems there's no solution.

I recently paid $799 for shave and a haircut only to find it doesn't work with vray under osx :cry:

I had a quick email back from Joe Alter at the beginning of the week saying he would look in to the issue but haven't heard anything yet :shrug:

cgbeige
10-01-2011, 03:43 PM
he hasn't updated Shave for 2012 either. I've pretty much given up on this one since it looks like all their attention is on LipService now.

CGTalk Moderation
10-01-2011, 03:43 PM
This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.